//
//  IPEVOToolKit.h
//  ToolKit
//
//  Created by Kevin on 12/11/21.
//  Copyright (c) 2012年 IPEVO. All rights reserved.
//

#ifndef ToolKit_IPEVOToolKit_h
#define ToolKit_IPEVOToolKit_h

#import <Foundation/Foundation.h>
#import "ITLog.h"
#import "NSBezierPath+BezierPathQuartzUtilities.h"
#import "NSButton+TextColor.h"
#import "NSImage+CGImage.h"
#import "NSString+Size.h"
#import "NSView+NSImage.h"
#import "NSWindow+Fade.h"
#import "ITPopoverController.h"
#import "ITPopoverWindow.h"
#import "ITConstants.h"
#import "NSImage+Rotate.h"
#import "ITSystemInfo.h"
#import "NSNumber+FourCharCode.h"
#import "NSString+IOReturn.h"
#import "NSTimer+Block.h"
#import "NSColor+Hex.h"
#import "NSString+UUID.h"
#import "NSAlert+Block.h"
#import "NSImage+Tint.h"
#import "NSImage+Extent.h"
#import "NSMenu+Dark.h"
#import "ITWindow.h"
#import "ITView.h"
#import "ITButton.h"
#import "ITImageView.h"
#import "MAAttachedWindow.h"
#import "NSNotificationCenter+MainThread.h"
#import "ITTextField.h"

@interface NSDictionary(subscripts)
- (id)objectForKeyedSubscript:(id)key;
@end

@interface NSMutableDictionary(subscripts)
- (void)setObject:(id)obj forKeyedSubscript:(id <NSCopying>)key;
@end

@interface NSArray(subscripts)
- (id)objectAtIndexedSubscript:(NSUInteger)idx;
@end

@interface NSMutableArray(subscripts)
- (void)setObject:(id)obj atIndexedSubscript:(NSUInteger)idx;
@end

@interface IPEVOToolKit : NSObject

+ (BOOL) getCrossPoint:(CGPoint *) crossPoint ofLine1From:(CGPoint) p1 to:(CGPoint) p2 andLine2From:(CGPoint) p3 to:(CGPoint) p4;
+ (CGRect) largestRectInRect:(CGRect) rect rotatedDegree:(CGFloat) degree;

+ (CGRect) aspectFitRect:(CGRect) sourceRect inRect:(CGRect) destinationRect;

+ (CGFloat) areaFromcounterclockwisePoints:(NSArray *) points;

+ (CGFloat) angleFromPoint:(NSPoint) point toXAxisWithCenter:(NSPoint) center;

+ (BOOL) isClockwiseFromPoint:(NSPoint) fromPoint toPoint:(NSPoint) toPoint center:(NSPoint) center;
@end
#endif
