//
//  ITView.h
//  ToolKit
//
//  Created by Kevin on 2014/9/16.
//  Copyright (c) 2014年 IPEVO Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef void (^ITViewDrawingBlock)(NSView * view, NSRect drawingRect);
typedef void (^ITViewEventHandleBlock)(NSEvent * event, BOOL * handled);
typedef void (^ITViewDeallocCallbackBlock)();

@interface ITView : NSView

@property (nonatomic, strong) NSColor * backgroundColor;
@property (nonatomic, strong) NSColor * borderColor;
@property (nonatomic, assign) CGFloat borderWidth;
@property (nonatomic, assign) CGFloat cornerRadius;
@property (nonatomic, assign) BOOL resignFirstResponder;
@property (nonatomic, assign) BOOL acceptsFirstResponder;
@property (nonatomic, assign) BOOL becomeFirstResponder;
@property (nonatomic, strong) ITViewDrawingBlock drawingBlock;
@property (nonatomic, strong) ITViewEventHandleBlock eventHandleBlock;
@property (nonatomic, strong) ITViewDeallocCallbackBlock deallocCallbackBlock;
@property (nonatomic, strong) NSCursor * cursor;
@property (nonatomic, assign) BOOL enabled;
@property (nonatomic, assign) NSInteger tag;
@end
